
class  CAutoUpdateSelectFolderDialog : public CFileDialog
{
	DECLARE_DYNAMIC(CAutoUpdateSelectFolderDialog)

public:
	CAutoUpdateSelectFolderDialog(BOOL bShowFilesInDir = FALSE, 
				LPCTSTR lpctstrInitialDir = NULL, 
				DWORD dwFlags = OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT,
				LPCTSTR lpszFilter = NULL, CWnd* pParentWnd = NULL);
	~CAutoUpdateSelectFolderDialog();

	static WNDPROC m_wndProc;
	virtual void OnInitDone();

	void OnFolderChange();

	void SetSelectedPath(LPCTSTR lpctstrPath);
	CString GetSelectedPath() const;

	void SetTitle(CString cstrTitle);

protected:
	//{{AFX_MSG(CaplSelectFolderDialog)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	BOOL m_bShowFilesInDir;
	CString m_cstrPath;
	CEdit *m_pEdit;
	CString m_cstrTitle;
};